jQuery.noConflict();
jQuery(document).ready(function ($) {
	  //To hide wp footer message
$('#wpfooter').hide()
	// Your jQuery code here, using $ to refer to jQuery.
	var ajaxurl = its_jp_ajax_object.ajaxurl;
	$(document).on("click", ".its-jp-edit-btn", function () {

		var editButtonId = jQuery(this).attr("data-id");

		if ($(this).val() === 'Edit') {
			$(this).val('Update');
			$(this).removeClass('btn-primary');
			$(this).addClass('btn-success');

			$("#its-jp-metal-price-" + editButtonId).prop("disabled", false);

		} else if ($(this).val() === 'Update') {
			$(this).val('Edit');
			$(this).removeClass('btn-success');
			$(this).addClass('btn-primary');
			$("#its-jp-metal-price-" + editButtonId).prop("disabled", true);
			var metalPrice = $("#its-jp-metal-price-" + editButtonId).val();
			var metalName = $("#its-jp-metal-name-" + editButtonId).text();

			//	var postdata = "action=admin_ajax_request&param=update_price&metal_id="+editButtonId+"&metal_price="+metalPrice+"&metal_name="+metalName;
			var postdata = {
				action: 'admin_ajax_request',
				param: 'update_price',
				metal_id: editButtonId,
				metal_price: metalPrice,
				metal_name: metalName
			};
			// 			jQuery.post(ajaxurl, postdata, function (response) {
			// 				console.log(response);
			// 			});
			$.ajax({
				url: ajaxurl,
				data: postdata,
				beforeSend: function () {
					$('#its-jp-metal-edit-btn-' + editButtonId).val('Updating...')
					$('#its-jp-metal-edit-btn-' + editButtonId).prop('disabled', true);
					$('<span class="spinner"></span>').insertAfter('#its-jp-metal-edit-btn-' + editButtonId);
					$(".spinner").addClass('is-active');
				},
				complete: function () {
					$(".spinner").hide();
					$('#its-jp-metal-edit-btn-' + editButtonId).prop('disabled', false);
					$('#its-jp-metal-edit-btn-' + editButtonId).val('Edit')
				},
				success: function (data) {
					if (data) {
						var response = JSON.parse(data);
						$('<div class="alert alert-warning alert-dismissible fade show mt-2" role="alert">' + response + '<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button></div>').insertAfter('.card-header');
					}

				}


			});


		}





	});

	$(document).on('submit','#license_frm',function(e){
		e.preventDefault()
		var licenseForm = $('#license_frm')
		var data = licenseForm.serialize()
		data += '&action=admin_ajax_request'
		//console.log(data)
		$.ajax({
			type: 'POST',
			url: ajaxurl,
			data: data,
			beforeSend: function () {
				$('<div class="col-md-1"><span class="spinner"></span></div>').insertAfter("#activate_btn_div");
				$(".spinner").addClass('is-active');
			},
			complete: function () {
				$(".spinner").hide();
				

			},
			success: function (response) {
				var data = JSON.parse(response);
				if (data.status == 'Active') {
					alert('Your license key has been activated successfully!')
					
					location.reload();
					
				} else {
					alert(data.message)

				}

				

			}
		});
		

	})
	

	$(document).on("click", ".its-jp-metal-delete", function (e) {
		e.preventDefault();
		var delConfirm = confirm('Are you sure to delete this record?');
		if (delConfirm) {

			var deleteButtonId = jQuery(this).attr("data-id");

			var metalName = $("#its-jp-metal-name-" + deleteButtonId).text().trim();
			var postdata = "action=admin_ajax_request&param=delete_metal_name&metal_id=" + deleteButtonId + "&metal_name=" + metalName;
			$.ajax({
				type: 'POST',
				url: ajaxurl,
				data: postdata,
				beforeSend: function () {
					$('<span class="spinner"></span>').insertAfter("#its-jp-metal-delete-" + deleteButtonId);
					$(".spinner").addClass('is-active');
				},
				complete: function () {
					$(".spinner").hide();

				},
				success: function (response) {
					var data = JSON.parse(response);
					if (data.termdelete) {

						alert(data.termdelete);
						$("#its-jp-metal-name-" + deleteButtonId).closest("tr").remove();
						removeRowCount('#metal_table');
						addRowCount('#metal_table');
					} else {

						var confirmDelete = confirm('This term linked with ' + data.termCount + ' Products. Still do you want to delete it?');
					}

					if (confirmDelete) {
						var postdata = 'action=admin_ajax_request&param=delete_metal_name&param1=delete_confirmed&metal_id=' + data.metalId + '&term_id=' + data.termId + '&taxonomy=' + data.taxonomy;
						$.ajax({
							type: 'POST',
							url: ajaxurl,
							data: postdata,
							success: function (response2) {
								var data = JSON.parse(response2);
								alert(data.termdelete);

							}
						});

					}

				}
			});

		}
	});




	$('#its_jp_metal_price_log').DataTable({
		"scrollY": "400px",
		"scrollCollapse": true,
		"paging": true,
		"ordering": false

	});

	$('#its_jp_product_price_log').DataTable({
		"scrollY": "400px",
		"scrollCollapse": true,
		"paging": true,
		"ordering": false

	});

	// Metal Group Form Processing
	
		$('input#enableMakingCharge').click(function(){
			if($(this).is(':checked')){
				$('#makingRadioBtn').show()
			} else {
				$('#makingRadioBtn').hide()
			}

		});
		$('input#enableWastageCharge').click(function(){
			if($(this).is(':checked')){
				$('#wastageRadioBtn').show()
			} else {
				$('#wastageRadioBtn').hide()
			}

		});
	
	// Add Metal Group
	$('#metalGroupSubmit').click(function (e) {
		e.preventDefault();
		var rowCount = $("#metal_group_table tr").length;
		console.log(rowCount);
		var form = $('#metal_group_frm');
		var formData = form.serialize();
		formData += '&action=admin_ajax_request';
		$.ajax({
			type: "POST",
			url: ajaxurl,
			data: formData,
			beforeSend: function () {

				$('<span class="spinner"></span>').insertAfter('#metalGroupSubmit');
				$(".spinner").addClass('is-active');
			},
			complete: function () {
				$(".spinner").hide();
				form.find('input[type=text]').val('');
				form.find('input[type=checkbox], input[type=radio]').prop('checked',false)
				$('#makingRadioBtn').hide()
				$('#wastageRadioBtn').hide()
			},
			success: function (data) {
				var response = JSON.parse(data);
		// 		var metalGroupTableRow = '<tr><td>'+rowCount+'</td>'+
		// 		'<td id="its-jp-metal-group-'+response.metal_group_id+'">'+response.metal_group+'</td>'+
		// 		'<td>'+
		// 			'<button class="btn btn-primary btn-sm rounded-circle its-jp-metal-group-edit" id="its-jp-metal-group-edit-'+response.metal_group_id+'" data-id="'+response.metal_group_id+'" data-bs-toggle="modal" data-bs-target="#staticBackdrop1"><i class="material-icons" style="font-size:medium;">edit</i></button>&nbsp;<button class="btn btn-danger btn-sm rounded-circle its-jp-metal-group-delete" id="its-jp-metal-group-delete-'+response.metal_group_id+'" data-id="'+response.metal_group_id+'" ><i class="material-icons" style="font-size:medium;">delete</i></button>'+
		// 		'</td>'+
		// '</tr>';
		var metalGroupTableRow = `
		<tr>
                                                       
		<td id="its-jp-metal-group-${response.metal_group_id}">
			${response.metal_group}
		</td>
		<td id="its-jp-making-charge-field-${response.metal_group_id}">
			${response.making_charge_field}
		</td>
		<td id="its-jp-making-charge-unit-${response.metal_group_id}">
			${response.making_charge_unit}
		</td>
		<td id="its-jp-wastage-charge-field-${response.metal_group_id}">
			${response.wastage_charge_field}
		</td>
		<td id="its-jp-wastage-charge-unit-${response.metal_group_id}">
			${response.wastage_charge_unit}
		</td>
		<td>
			<button class="btn btn-primary btn-sm rounded-circle its-jp-metal-group-edit" id="its-jp-metal-group-edit-${response.metal_group_id}" data-id="${response.metal_group_id}"  data-bs-toggle="modal" data-bs-target="#staticBackdrop1"><i class="material-icons" style="font-size:medium;">edit</i></button>&nbsp;<button class="btn btn-danger btn-sm rounded-circle its-jp-metal-group-delete" id="its-jp-metal-group-delete-${response.metal_group_id}" data-id="${response.metal_group_id}" ><i class="material-icons" style="font-size:medium;">delete</i></button>

		</td>
	</tr>
		`
				if (response.status) {
					removeRowCount('#metal_group_table')
					
					$('#metal_group_table_body').append(metalGroupTableRow);
					addRowCount('#metal_group_table');
					$('#metal_group_form_notice').html('<div class="alert alert-success alert-dismissible fade show mt-2" role="alert">' + response.message + '<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button></div>');
				
				} else {
					$('#metal_group_form_notice').html('<div class="alert alert-danger alert-dismissible fade show mt-2" role="alert">' + response.message + '<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button></div>');
				}

			}


		});

	});
	// Metal Group Form Edit Process
	$('body').on('click','.its-jp-metal-group-edit',function(){
		var editBtnId = $(this).attr('data-id');
		
		var metalGroup = $('#its-jp-metal-group-'+editBtnId).text().trim();
		var makingChargeField = $('#its-jp-making-charge-field-'+editBtnId).text().trim();
		var makingChargeUnit = $('#its-jp-making-charge-unit-'+editBtnId).text().trim();
		var wastageChargeField = $('#its-jp-wastage-charge-field-'+editBtnId).text().trim();
		var wastageChargeUnit = $('#its-jp-wastage-charge-unit-'+editBtnId).text().trim();
		console.log(metalGroup)
		$('#metal_group_modal').val(metalGroup);
		if (makingChargeField == 'Enabled'){
			$('input#enableMakingChargeGD').attr('checked',true)
		} else if(makingChargeField == 'Not Enabled'){
			$('input#enableMakingChargeGD').attr('checked',false)
		}
		
		if (wastageChargeField == 'Enabled'){
			$('input#enableWastageChargeGD').attr('checked',true)
		} else if(wastageChargeField == 'Not Enabled'){
			$('input#enableWastageChargeGD').attr('checked',false)
		}

		if(makingChargeUnit == 'gram'){
			$('#MakingChargeGramGD').attr('checked',true)
		} else{
			$('#MakingChargeGramGD').attr('checked',false)
		}
		if(makingChargeUnit == 'percentage'){
			$('#MakingChargePercentageGD').attr('checked',true)
		} else{
			$('#MakingChargePercentageGD').attr('checked',false)
		}
		if(wastageChargeUnit == 'gram'){
			$('#WastageChargeGramGD').attr('checked',true)
		} else{
			$('#WastageChargeGramGD').attr('checked',false)
		}
		if(wastageChargeUnit == 'percentage'){
			$('#WastageChargePercentageGD').attr('checked',true)
		} else{
			$('#WastageChargePercentageGD').attr('checked',false)
		}
		
		$('input#metalGroupIdEdit').val(editBtnId);
		
	});

	// Updating values in the metal edit form
	$('#editMetalGroup').click(function(e){
		e.preventDefault();
		var form = $('#metal_group_edit_frm');
		var formData = form.serialize();
		formData += '&action=admin_ajax_request';
		console.log(formData);
		$.ajax({
			type: "POST",
			url: ajaxurl,
			data: formData,
			beforeSend: function () {

				$('<span class="spinner"></span>').insertAfter('#editMetalGroup');
				$(".spinner").addClass('is-active');
			},
			complete: function () {
				$(".spinner").hide();
				form.find('input[type=text],input[type=number]').val('');
				
				  $('#staticBackdrop1').hide();
				  $('.modal-backdrop').hide();
				  
			},
			success: function (data) {
				var response = JSON.parse(data);

				if (response.status) {
					$('#its-jp-metal-group-'+response.metal_group_id).text(response.metal_group)
					$('#its-jp-making-charge-field-'+response.metal_group_id).text(response.making_charge_field)
					$('#its-jp-making-charge-unit-'+response.metal_group_id).text(response.making_charge_unit)
					$('#its-jp-wastage-charge-field-'+response.metal_group_id).text(response.wastage_charge_field)
					$('#its-jp-wastage-charge-unit-'+response.metal_group_id).text(response.wastage_charge_unit)
					$('#metal_group_form_notice').html('<div class="alert alert-success alert-dismissible fade show" role="alert"><p>' + response.message + '</p> <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button></div>').fadeIn().delay(3000).fadeOut(function () { this.remove() });
				} else {
					$('#metal_group_form_notice').html('<div class="alert alert-danger alert-dismissible fade show" role="alert"><p>' + response.message + '</p> <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button></div>').fadeIn();
				}

			},
			error: function (xhr, ajaxOptions, thrownError) {
				alert(xhr.status);
				alert(thrownError);
			}

		});
		
	});

	// Metal Group Form Delete Process
	$(document).on("click", ".its-jp-metal-group-delete", function (e) {
		e.preventDefault();
		var delConfirm = confirm('Are you sure to delete this metal group?');
		if (delConfirm) {

			var deleteButtonId = jQuery(this).attr("data-id");

			var metalGroup = $("#its-jp-metal-group-" + deleteButtonId).text().trim();
			var postdata = "action=admin_ajax_request&metalGroupDeleteParam=delete_metal_group&metal_id=" + deleteButtonId + "&metal_group=" + metalGroup;
			$.ajax({
				type: 'POST',
				url: ajaxurl,
				data: postdata,
				beforeSend: function () {
					$('<span class="spinner"></span>').insertAfter("#its-jp-metal-group-delete-" + deleteButtonId);
					$(".spinner").addClass('is-active');
				},
				complete: function () {
					$(".spinner").hide();

				},
				success: function (response) {
					var data = JSON.parse(response);
					if (data.status) {

						alert(data.message);
						$("#its-jp-metal-group-" + deleteButtonId).closest("tr").remove();
						removeRowCount('#metal_group_table')
						addRowCount('#metal_group_table')
					}

					

				}
			});

		}
	});

	// Metal Form Processing
	$('#submitMetalName').click(function (e) {
		e.preventDefault();
		var form = $('#metal_frm');
		var formData = form.serialize();
		formData += '&action=admin_ajax_request';
		//console.log(formData);
		$.ajax({
			type: "POST",
			url: ajaxurl,
			data: formData,
			beforeSend: function () {

				$('<span class="spinner"></span>').insertAfter('#submitMetalName');
				$(".spinner").addClass('is-active');
			},
			complete: function () {
				$(".spinner").hide();
				form.find('input[type=text],input[type=number]').val('');
			},
			success: function (data) {
				var response = JSON.parse(data);

				if (response.status) {
					$('#metal_table').append('<tr><td>' + response.serial_no + '</td><td id="its-jp-metal-name-' + response.metal_id + '">' + response.metal_name + '</td><td id="its-jp-metal-display-name-' + response.metal_id + '">' + response.metal_display_name + '</td><td id="its-jp-metal-name-group-' + response.metal_id + '">' + response.metal_group + '</td><td>' + response.currency + '&nbsp;<span id="its-jp-metal-price-'+response.metal_id+'">' + response.amount + '</span></td><td> <button class="btn btn-primary btn-sm rounded-circle its-jp-metal-edit" id="its-jp-metal-edit-'+response.metal_id+'" data-id="' + response.metal_id + '" data-bs-toggle="modal" data-bs-target="#staticBackdrop"><i class="material-icons" style="font-size:medium;">edit</i></button>&nbsp;<button class="btn btn-danger btn-sm rounded-circle its-jp-metal-delete" id="its-jp-metal-delete-'+response.metal_id+'" data-id="' + response.metal_id + '"><i class="material-icons" style="font-size:medium;">delete</i></button></td></tr>');
					$('#metal_form_notice').html('<div class="alert alert-success alert-dismissible fade show" role="alert"><p>' + response.message + '</p> <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button></div>').fadeIn().delay(3000).fadeOut(function () { this.remove() });
				} else {
					$('#metal_form_notice').html('<div class="alert alert-danger alert-dismissible fade show" role="alert"><p>' + response.message + '</p> <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button></div>').fadeIn();
				}

			}

		});
	});

	// Getting values for Edit Metal Form
	$('body').on('click','.its-jp-metal-edit',function(){
		var editBtnId = $(this).attr('data-id');
		
		 //console.log('METAL ID',editBtnId);

		var metalName = $('#its-jp-metal-name-'+editBtnId).text().trim();
		$('input#metal_name_edit').val(metalName);
		var metalDisplayName = $('#its-jp-metal-display-name-'+editBtnId).text().trim();
		$('input#metal_display_name_edit').val(metalDisplayName);
		var metalGroup = $('#its-jp-metal-name-group-'+editBtnId).text().trim();
		console.log(metalGroup)
		$('#metal_group_edit').val(metalGroup);
		var metalPrice = $('#its-jp-metal-price-'+editBtnId).text().trim();
		$('input#metal_price_per_gram_edit').val(metalPrice);
		$('input#metalIdEdit').val(editBtnId);
		
	});

	// Updating values in the metal edit form
	$('#editMetalName').click(function(e){
		e.preventDefault();
		var form = $('#metal_edit_frm');
		var formData = form.serialize();
		formData += '&action=admin_ajax_request';
		//console.log(formData);
		$.ajax({
			type: "POST",
			url: ajaxurl,
			data: formData,
			beforeSend: function () {

				$('<span class="spinner"></span>').insertAfter('#editMetalName');
				$(".spinner").addClass('is-active');
			},
			complete: function () {
				$(".spinner").hide();
				form.find('input[type=text],input[type=number]').val('');
				$('#staticBackdrop').hide();
				  $('.modal-backdrop').hide();
			},
			success: function (data) {
				var response = JSON.parse(data);

				if (response.status) {
					$('#its-jp-metal-name-'+response.metal_id).text(response.metal_name)
					$('#its-jp-metal-display-name-'+response.metal_id).text(response.metal_display_name)
					$('#its-jp-metal-group-'+response.metal_id).text(response.metal_group)
					$('#its-jp-metal-price-'+response.metal_id).text(response.amount)


					// $('#metal_table').append('<tr><td>' + response.serial_no + '</td><td id="its-jp-metal-name-' + response.metal_id + '">' + response.metal_name + '</td><td id="its-jp-metal-display-name-' + response.metal_id + '">' + response.metal_display_name + '</td><td id="its-jp-metal-group-' + response.metal_id + '">' + response.metal_group + '</td><td>' + response.currency + ' ' + response.amount + '</td><td> <button class="btn btn-danger btn-sm its-jp-metal-delete" data-id="' + response.metal_id + '"><i class="material-icons" style="font-size:medium;">delete</i></button></td></tr>');
					$('#metal_form_notice').html('<div class="alert alert-success alert-dismissible fade show" role="alert"><p>' + response.message + '</p> <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button></div>').fadeIn().delay(3000).fadeOut(function () { this.remove() });
				} else {
					$('#metal_form_notice').html('<div class="alert alert-danger alert-dismissible fade show" role="alert"><p>' + response.message + '</p> <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button></div>').fadeIn();
				}

			},
			error: function (xhr, ajaxOptions, thrownError) {
				alert(xhr.status);
				alert(thrownError);
			}

		});
		
	});

// metal table serial number
function addRowCount(tableAttr) {
	$(tableAttr).each(function(){
		$('th:first-child, thead td:first-child', this).each(function(){
			var tag = $(this).prop('tagName');
			$(this).before('<'+tag+'>#</'+tag+'>');
		  });
	  $('td:first-child', this).each(function(i){
		$(this).before('<td>'+(i+1)+'</td>');
	  });
	});
  }
  function removeRowCount(tableAttr) {
	$(tableAttr).each(function(){
		$('th:first-child, thead td:first-child', this).each(function(){
			
			$(this).remove();
		  });
		
	  $('td:first-child', this).each(function(){
		$(this).remove();
	  });
	});
  }
  
  // Call the function with table attr on which you want automatic serial number
  addRowCount('#metal_table');
  addRowCount('#metal_group_table');
// Price Breakup settings page
$('#priceBreakupSubmit').click(function (e) {
	e.preventDefault();
	var form = $('#priceBreakupForm');
	var formData = form.serialize();
	formData += '&action=admin_ajax_request';
	//console.log(formData);
	$.ajax({
		type: "POST",
		url: ajaxurl,
		data: formData,
		beforeSend: function () {

			$('<span class="spinner"></span>').insertAfter('#priceBreakupSubmit');
			$(".spinner").addClass('is-active');
		},
		complete: function () {
			$(".spinner").hide();
			
		},
		success: function (data) {
			var response = JSON.parse(data);

			if (response.status) {
				$('#pricebreakup_form_notice').html('<div class="col-3 alert alert-success alert-dismissible fade show" role="alert">' + response.message + ' <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button></div>');
			} else {
				$('#pricebreakup_form_notice').html('<div class="col-3 alert alert-danger alert-dismissible fade show" role="alert">' + response.message + ' <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button></div>');
			}

		}

	});
});
  


}); // main closing