<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       ifelsetech.com
 * @since      1.0.0
 *
 * @package    Jewellery_Price
 * @subpackage Jewellery_Price/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="container">
    <div class="row">
        <div class="col mt-2">
        <div class="card-header bg-primary text-white mb-2">
        Metal Price Log
                </div>
         <?php 
                  
                    if(!$this->activated || HAJMILAF != 8564) {echo "<p>You must activate license to enable this feature. <a href=".esc_url(menu_page_url('its-settings',false)).">Click here</a> to activate</p>";}else{ ?>
        <table id="its_jp_metal_price_log" class="display" style="width:100%">
        
        <thead>
            <tr>
                <th>#ID</th>
                <th>Metal</th>
                <th>Old Amount</th>
                <th>New Amount</th>
                <th>Updated user</th>
                <th>Updated at</th>
            </tr>
        </thead>
       <tbody>
           <?php foreach($metal_log as $mld){?>
       <tr>
                <td><?php echo esc_html($mld->id)?></td>
                <td><?php echo esc_html($mld->metal_name)?></td>
                <td><?php echo esc_html($mld->old_amount)?></td>
                <td><?php echo esc_html($mld->new_amount)?></td>
                <td><?php echo esc_html($mld->updated_user)?></td>
                <td><?php echo esc_html($mld->created_at)?></td>
                
            </tr>
            <?php }?>
       </tbody>
        <tfoot>
            <tr>
            <th>#ID</th>
                <th>Metal</th>
                <th>Old Amount</th>
                <th>New Amount</th>
                <th>Updated user</th>
                <th>Updated at</th>
            </tr>
        </tfoot>
    </table>
    <?php } ?>
        </div>
       
    </div>
    <?php  	include_once(JEWELLERY_PRICE_PLUGIN_PATH . "admin/partials/jewellery-price-admin-footer.php"); ?>

</div>