<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       ifelsetech.com
 * @since      1.0.0
 *
 * @package    Jewellery_Price
 * @subpackage Jewellery_Price/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="container">
    <div class="row">
        <div class="col mt-2">
        <div class="card-header bg-primary text-white mb-2">
        Product Price Log
                </div>
                <?php
            if(!$this->activated || HAJMILAF != 8564):
            echo "<p>You must activate license to enable this feature. <a href=".esc_url(menu_page_url('its-settings',false)).">Click here</a> to activate</p>";
            else: ?>
        <table id="its_jp_product_price_log" class="display" style="width:100%">
        
        <thead>
            <tr>
                <th>#ID</th>
                <th>Product ID</th>
                <th>Product Name</th>
                <th>Old Price</th>
                <th>New Price</th>
                <th>Updated user</th>
                <th>Updated at</th>
            </tr>
        </thead>
       <tbody>
           <?php foreach($product_price_log as $pld):?>
       <tr>
                <td><?php echo esc_html($pld->id) ?></td>
                <td><?php echo esc_html($pld->product_id)?></td>
                <td><?php echo esc_html($pld->product_name)?></td>
                <td><?php echo esc_html($pld->old_amount)?></td>
                <td><?php echo esc_html($pld->new_amount)?></td>
                <td><?php echo esc_html($pld->updated_user)?></td>
                <td><?php echo esc_html($pld->updated_at)?></td>
                
            </tr>
            <?php endforeach;?>
       </tbody>
        <tfoot>
            <tr>
            <th>#ID</th>
                <th>Product ID</th>
                <th>Product Name</th>
                <th>Old Price</th>
                <th>New Price</th>
                <th>Updated user</th>
                <th>Updated at</th>
            </tr>
        </tfoot>
    </table>
    <?php endif; ?>
        </div>
       
    </div>
    <?php  	include_once(JEWELLERY_PRICE_PLUGIN_PATH . "admin/partials/jewellery-price-admin-footer.php"); ?>

</div>