<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       ifelsetech.com
 * @since      1.0.0
 *
 * @package    Its_Price_Breakup
 * @subpackage Its_Price_Breakup/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<?php $itsjp_pricebreakup_settings = get_option('itsjp-pricebreakup-settings',false); ?>
<div class="container">

  <div class="row">
    <div class="col-10 card">
      <h3>Price Breakup</h3>
      <form method="post" action="" id="priceBreakupForm">
        <div class="mb-3 form-check">
          <input type="checkbox" id="enablePriceBreakup" name="enablePriceBreakup" value="1" <?php if(isset($itsjp_pricebreakup_settings['enablePriceBreakup']) && $itsjp_pricebreakup_settings['enablePriceBreakup'] == 1 && $this->activated){ echo esc_attr('checked');} 
    if(!$this->activated || HAJMILAF != 8564){ echo esc_attr('disabled');}
    ?>>
          <label class="form-check-label" for="enablePriceBreakup">Enable Price Breakup</label>
        </div>
        <div class="mb-3 form-check">
        <label>

<input type="checkbox" id="below-addtocart" name="price_breakup_location_below_addtocart" value="below_addtocart" <?php if(isset($itsjp_pricebreakup_settings['price_breakup_location_below_addtocart']) && $itsjp_pricebreakup_settings['price_breakup_location_below_addtocart'] == "below_addtocart" && $this->activated){ echo esc_attr('checked');}
if(!$this->activated){
echo esc_attr('disabled'); 
} ?>>Show Price Breakup below Add to Cart button
</label>
        </div>
        
        <div class="mb-3 form-group">
          <input type="hidden" id="priceBreakupSettings" name="priceBreakupSettings" value="priceBreakupSettings">
          <button type="submit" class="btn btn-success" id="priceBreakupSubmit"
            <?php echo (!$this->activated || HAJMILAF != 8564) ? esc_attr('disabled') : ''; ?>>Save</button>
        </div>
      </form>
      <div class="mb-3">
          <h5>Use Price breakup as shortcode: <code>[itsjp_price_breakup]</code></h5>
          <p>Important Note: You can use this shortcode only in single product page.</p>
        </div>
      <div id="pricebreakup_form_notice"></div>
    </div>
  </div>
  <?php  	include_once(JEWELLERY_PRICE_PLUGIN_PATH . "admin/partials/jewellery-price-admin-footer.php"); ?>
</div>