<div class="row">
  <div class="col-md-10 mt-2">
    <?php if ($this->activated && HAJMILAF == 8564) { ?>
    <h4>License Activated!</h4>
    <table class="table table-bordered " id="licenseDetails">
      <?php  if ($this->licensekey): ?>
      <tr>
        <th>License key:</th>
        <td><?php echo esc_html($this->licensekey); ?></td>
      </tr>
      <?php endif; ?>
      <?php  if ($this->expiredate): ?>
      <tr>
        <th>Expires on:</th>
        <td><?php echo esc_html($this->expiredate); ?></td>
      </tr>
      <?php endif; ?>
      <?php  if ($this->results['status']): ?>
      <tr>
        <th>Product Status:</th>
        <td><?php echo esc_html($this->results['status']); ?></td>
      </tr>
      <?php endif; ?>
      <?php  if ($this->results['registeredname']): ?>
      <tr>
        <th>Registered Name:</th>
        <td><?php echo esc_html($this->results['registeredname']); ?></td>
      </tr>
      <?php endif; ?>
      <?php  if ($this->results['companyname']): ?>
      <tr>
        <th>Company Name:</th>
        <td><?php echo esc_html($this->results['companyname']); ?></td>
      </tr>
      <?php endif; ?>
      <?php  if ($this->results['email']): ?>
      <tr>
        <th>Email:</th>
        <td><?php echo esc_html($this->results['email']); ?></td>
      </tr>
      <?php endif; ?>
      <?php  if ($this->results['productname']): ?>
      <tr>
        <th>Product Name:</th>
        <td><?php echo esc_html($this->results['productname']); ?></td>
      </tr>
      <?php endif; ?>
      <?php  if ($this->results['regdate']): ?>
      <tr>
        <th>Registered Date:</th>
        <td><?php echo esc_html($this->results['regdate']); ?></td>
      </tr>
      <?php endif; ?>
      <?php  if ($this->results['billingcycle']): ?>
      <tr>
        <th>Billing Cycle:</th>
        <td><?php echo esc_html($this->results['billingcycle']); ?></td>
      </tr>
      <?php endif; ?>
      <?php  if ($this->results['addon-details'][0]['name']): ?>
      <tr>
        <th>Add-on Name:</th>
        <td><?php echo esc_html($this->results['addon-details'][0]['name']); ?></td>
      </tr>
      <?php endif; ?>
      <?php  if ($this->results['addon-details'][0]['nextduedate']): ?>
      <tr>
        <th>Add-on Expired on:</th>
        <td><?php echo esc_html($this->results['addon-details'][0]['nextduedate']); ?></td>
      </tr>
      <?php endif; ?>
    </table>
    <?php } else if (!$this->activated || HAJMILAF != 8564) {
                            ?>
    <form method="post" action="" id="license_frm">
      <div class="form-group row">
        <label for="its_jp_license_key" class="col-sm-3 col-form-label">License Key</label>
        <div class="col-md-5">
          <input type="text" class="form-control" id="its_jp_license_key" name="its_jp_license_key" placeholder="">
          <small id="metalNameHelpBlock" class="form-text text-muted text-nowrap">
            <span class="dashicons dashicons-editor-help"></span>
            If you don't have a license key <a href="https://www.ifelsetech.com/its-jewellery-price-plugin/">click
              here</a>.
          </small>
        </div>
      </div>
      <div class="form-group row mt-4">
        <div class="col-md-2" id="activate_btn_div">
          <input type="submit" class="form-control btn btn-success" id="activate_license" placeholder=""
            value="Activate" name="activate_license">
        </div>
      </div>
    </form>
    <?php } ?>
  </div>
</div>