<div class="row">
  <div class="col-md-10 mt-2">
    <form action="" method="post" action="" id="metal_group_frm">
      <fieldset <?php echo (!$this->activated || HAJMILAF != 8564 || HAJMILAF != 8564) ? esc_attr('disabled') : ''; ?>>
        <div class="row mb-2">
          <div class="col-6">
            <label for="metal_group">Metal Group Name</label>
            <input type="text" id="metal_group" name="metal_group" required>
            <small id="metalGroupHelpBlock" class="form-text text-muted text-nowrap">
              <span class="dashicons dashicons-editor-help"></span>
              Metal Group like Gold, Diamond etc.
            </small>
          </div>
        </div>
        <div class="row mb-2">
          <div class="col-3">
            <label for="enableMakingCharge">Enable Making Charge</label>
          </div>
          <div class="col-1">
            <input type="checkbox" id="enableMakingCharge" name="enableMakingCharge" value="1">
          </div>
          <div class="col-3" id="makingRadioBtn" style="display:none">
            <input type="radio" id="MakingChargeGram" name="MakingChargeUnit" value="gram">
            <label for="MakingChargeGram">Gram</label>
            <input type="radio" id="MakingChargePercentage" name="MakingChargeUnit" value="percentage">
            <label for="MakingChargePercentage">Percentage</label>
          </div>
        </div>
        <div class="row mb-2">
          <div class="col-3">
            <label for="enableWastageCharge">Enable Wastage Charge</label>
          </div>
          <div class="col-1">
            <input type="checkbox" id="enableWastageCharge" name="enableWastageCharge" value="1">
          </div>
          <div class="col-3" id="wastageRadioBtn" style="display:none">
            <input type="radio" id="WastageChargeGram" name="WastageChargeUnit" value="gram">
            <label for="WastageChargeGram">Gram</label>
            <input type="radio" id="WastageChargePercentage" name="WastageChargeUnit" value="percentage">
            <label for="WastageChargePercentage">Percentage</label>
          </div>
        </div>
        <div>
          <input type="hidden" class="" id="metalGroupParam" placeholder="" value="metalGroupParam"
            name="metalGroupParam" required>
          <button type="submit" class="btn btn-success" id="metalGroupSubmit" placeholder="" value="Add"
            name="metalGroupSubmit" <?php echo (!$this->activated || HAJMILAF != 8564 ) ? esc_attr('disabled') : ''; ?>>Add</button>
        </div>
      </fieldset>
    </form>
    <div id="metal_group_form_notice"></div>
    <?php if (!$this->activated || HAJMILAF != 8564) echo "<p>You must activate license to enable this feature. <a href=" . esc_url(menu_page_url('settings', false)) . ">Click here</a> to activate</p>"; ?>
    <div class="form-group row">
      <div class="table-responsive">
        <table class="table table-sm" id="metal_group_table">
          <thead>
            <tr>
              <th>Metal Group</th>
              <th>Making Charge Field</th>
              <th>Making Charge Unit</th>
              <th>Wastage Charge Field</th>
              <th>Wastage Charge Unit</th>
              <th>Action</th>
            </tr>
          </thead>
          <tbody id="metal_group_table_body">
            <?php
                                                $i = 1;
                                                foreach ($metal_groups_existed as $key => $value) { ?>
            <tr>
              <td id="its-jp-metal-group-<?php echo esc_attr($value->id) ?>">
                <?php echo esc_html($value->metal_group) ?>
              </td>
              <td id="its-jp-making-charge-field-<?php echo esc_attr($value->id) ?>">
                <?php echo esc_html(($value->making_charge_field) ? 'Enabled' : 'Not Enabled') ?>
              </td>
              <td id="its-jp-making-charge-unit-<?php echo esc_attr($value->id) ?>">
                <?php echo esc_html($value->making_charge_unit) ?>
              </td>
              <td id="its-jp-wastage-charge-field-<?php echo esc_attr($value->id) ?>">
                <?php echo esc_html(($value->wastage_charge_field) ? 'Enabled' : 'Not Enabled') ?>
              </td>
              <td id="its-jp-wastage-charge-unit-<?php echo esc_attr($value->id) ?>">
                <?php echo esc_html($value->wastage_charge_unit) ?>
              </td>
              <td>
                <button class="btn btn-primary btn-sm rounded-circle its-jp-metal-group-edit"
                  id="its-jp-metal-group-edit-<?php echo esc_attr($value->id) ?>"
                  data-id="<?php echo esc_attr($value->id) ?>"
                  <?php echo (!$this->activated || HAJMILAF != 8564) ? esc_attr('disabled') : ''; ?> data-bs-toggle="modal"
                  data-bs-target="#staticBackdrop1"><i class="material-icons"
                    style="font-size:medium;">edit</i></button>&nbsp;<button
                  class="btn btn-danger btn-sm rounded-circle its-jp-metal-group-delete"
                  id="its-jp-metal-group-delete-<?php echo esc_attr($value->id) ?>"
                  data-id="<?php echo esc_attr($value->id) ?>"
                  <?php echo (!$this->activated || HAJMILAF != 8564) ? esc_attr('disabled') : ''; ?>><i class="material-icons"
                    style="font-size:medium;">delete</i></button>
              </td>
            </tr>
            <?php
                                                    $i++;
                                                } ?>
          </tbody>
        </table>
        <!-- Modal -->
        <div class="modal fade" id="staticBackdrop1" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
          aria-labelledby="staticBackdropLabel1" aria-hidden="true">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="staticBackdropLabel1">Edit Metal</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
              </div>
              <div class="modal-body">
                <form method="post" action="" id="metal_group_edit_frm">
                  <div class="form-group row mt-2">
                    <div class="col-md-6">
                      <div>
                        <label for="metal_group_modal" class="">Metal Group</label>
                        <input type="text" class="form-control" id="metal_group_modal" name="metal_group" placeholder=""
                          <?php echo (!$this->activated || HAJMILAF != 8564) ? esc_attr('disabled') : ''; ?> required>
                      </div>
                    </div>
                  </div>
                  <div class="form-group row mt-2">
                    <div class="col-5">
                      <label for="enableMakingChargeGD">Enable Making Charge</label>
                    </div>
                    <div class="col-1">
                      <input type="checkbox" id="enableMakingChargeGD" name="enableMakingChargeGD" value="1">
                    </div>
                    <div class="col-6" id="makingRadioBtnGD">
                      <input type="radio" id="MakingChargeGramGD" name="MakingChargeUnitGD" value="gram">
                      <label for="MakingChargeGramGD">Gram</label>
                      <input type="radio" id="MakingChargePercentageGD" name="MakingChargeUnitGD" value="percentage">
                      <label for="MakingChargePercentageGD">Percentage</label>
                    </div>
                  </div>
                  <div class="form-group row mt-2">
                    <div class="col-5">
                      <label for="enableWastageChargeGD">Enable Wastage Charge</label>
                    </div>
                    <div class="col-1">
                      <input type="checkbox" id="enableWastageChargeGD" name="enableWastageChargeGD" value="1">
                    </div>
                    <div class="col-6" id="wastageRadioBtnGD">
                      <input type="radio" id="WastageChargeGramGD" name="WastageChargeUnitGD" value="gram">
                      <label for="WastageChargeGramGD">Gram</label>
                      <input type="radio" id="WastageChargePercentageGD" name="WastageChargeUnitGD" value="percentage">
                      <label for="WastageChargePercentageGD">Percentage</label>
                    </div>
                  </div>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" id="#metalGroupEditFormCloseBtn"
                  data-bs-dismiss="modal">Close</button>
                <input type="hidden" class="" id="metalGroupEditForm" placeholder="" value="metalGroupEditForm"
                  name="metalGroupEditForm" required>
                <input type="hidden" class="" id="metalGroupIdEdit" value="" name="metal_group_id" required>
                <input type="submit" class="btn btn-success" id="editMetalGroup" placeholder="" value="Update"
                  name="editMetalGroup">
              </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>